
int contador = 0;
long tiempo = 0;

void encenderTodos() {
  for (i = 0; i < nleds; i++)
  {
    digitalWrite(leds[i], HIGH);
  }
}

void apagarTodos() {
  for (i = 0; i < nleds; i++)
  {
    digitalWrite(leds[i], LOW);
  }
}

void secuencia2(long retardo) {
  if ((millis() - tiempo) > retardo) {
    digitalWrite(leds[contador], HIGH);
    tiempo = millis();
    contador++;
  }
  if (contador > nleds)
  {
    contador = 0;
    tiempo = millis();
    apagarTodos();
  }
}

void secuencia3(long retardo) {
  if ((millis() - tiempo) > retardo) {
    if (contador == 0) {
      digitalWrite(leds[nleds - 1], LOW);
    } else {
      digitalWrite(leds[contador - 1], LOW);
    }
    digitalWrite(leds[contador], HIGH);
    tiempo = millis();
    contador++;
  }
  if (contador > nleds)  {
    tiempo = millis();
    contador = 0;
    apagarTodos();
  }
}
